Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceInterfaceIndex

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceInterfaceIndex

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `Resource`

    public class DeviceInterfaceIndex
    extends Id
    implements Resource, GuiTitlable

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DeviceInterfaceIndex()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getDeviceId()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getIndex()` |
  `int` | `getPort()` |
  `java.util.Date` | `getTimeFrom()` |
  `java.util.Date` | `getTimeTo()` |
  `void` | `setDeviceId​(int deviceId)` |
  `void` | `setIndex​(int index)` |
  `void` | `setPort​(int port)` |
  `void` | `setTimeFrom​(java.util.Date timeFrom)` |
  `void` | `setTimeTo​(java.util.Date timeTo)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeviceInterfaceIndex

    public DeviceInterfaceIndex()

- ## Method Details

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public void setDeviceId​(int deviceId)

  - ### getPort

    public int getPort()

  - ### setPort

    public void setPort​(int port)

  - ### getTimeFrom

    public java.util.Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom​(java.util.Date timeFrom)

  - ### getTimeTo

    public java.util.Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo​(java.util.Date timeTo)

  - ### getIndex

    public int getIndex()

  - ### setIndex

    public void setIndex​(int index)

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.